<ion-header>
    <div id="btnMenu">
        <div class="btn">
            <ion-menu-button autoHide="false"></ion-menu-button>
        </div>
        <div class="title">
            SiriusSign
        </div>
    </div>
    <div id="btnNum">
        <div class="btnNumSign" tappable [routerDirection]="'forward'" [routerLink]="['/app/tabs/tab-menu/need-sign']">
            <h1>{{home.numNeedMySign}}</h1>
            <p>Need my signatures</p>
        </div>
        <div class="vline"></div>
        <div class="btnNumSign" tappable [routerDirection]="'forward'"
            [routerLink]="['/app/tabs/tab-menu/wait-others']">
            <h1>{{home.numWaitOthers}}</h1>
            <p>Waiting for others</p>
        </div>
    </div>
</ion-header>


<ion-content *ngIf="initConnection">
    <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
        <ion-refresher-content></ion-refresher-content>
    </ion-refresher>
    
    <ion-list lines="full" *ngIf="group.waitingGroups.length > 0">
        <ion-list-header>
            <ion-label>Group Invitations</ion-label>
        </ion-list-header>

        <ion-item *ngFor="let group of group.waitingGroups; let i = index;" button (click)="onGroup(i)" detail="false">
            <ion-label>
                <h3>{{group.name}}</h3>
            </ion-label>
            <div>
                <p style="color:#f04141">{{group.numOfAccept}}/{{group.members.length}}</p>
            </div>
        </ion-item>
    </ion-list>

    <ion-list lines="full">
        <ion-list-header>
            <ion-label>Files</ion-label>
        </ion-list-header>

        <ion-item *ngFor="let doc of home.docs; let i = index;" button (click)="onDocument(i)" detail="false">
            <ion-icon mode="md" [color]="(doc.own)?'success':'danger'" [name]="(doc.own)?'arrow-up':'arrow-down'">
            </ion-icon>
            <img src="assets/icon-pdf.png" />
            <ion-label>
                <h3>{{doc.name}}</h3>
                <p>{{dateToShortString(doc.lastModifiedDate)}}</p>
            </ion-label>
            <div class="unconfirmDiv">
                <p [style.color]="(doc.signed == 1)? '#10dc60':'#f04141'">{{doc.numSigned}}/{{doc.numCoSign}}</p>
            </div>
        </ion-item>

        <ion-item *ngFor="let doc of this.documentHistory.docs; let i = index" button (click)="onHistoryDocument(i)" detail="false">
            <ion-icon mode="md" [color]="(doc.own)?'success':'danger'" [name]="(doc.own)?'arrow-up':'arrow-down'">
            </ion-icon>
            <img src="assets/icon-pdf.png" />
            <ion-label>
                <h3>{{doc.name}}</h3>
                <p>{{dateToShortString(doc.lastModifiedDate)}}</p>
            </ion-label>
            <div class="confirmDiv">
                <p class="status" *ngIf="doc.isSigned==1" style="color: #000">Signed</p>
                <p class="status" *ngIf="doc.isSigned==-1" style="color: #555">Cancelled</p>
                <p class="time">{{nowFromDate(doc.actionDate)}}</p>
            </div>
        </ion-item>
    </ion-list>
</ion-content>

<ion-content *ngIf="!initConnection" id="noConnection">
    <div>
        <ion-icon name="alert"></ion-icon>
        <p>Connection Lost</p>
    </div>
</ion-content>